Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.runtime.rule
Interface WorkingMemory

All Superinterfaces:
  WorkingMemoryEntryPoint

All Known Subinterfaces:
  KnowledgeRuntime, StatefulKnowledgeSession

All Known Implementing Classes:
  StatefulProcessSession

    public interface WorkingMemory

extends WorkingMemoryEntryPoint

The `WorkingMemory` is a super-interface for all `StatefulKnowledgeSession`s. Although, users are encouraged to use `StatefulKnowledgeSession` or `KnowledgeRuntime` interface instead of `WorkingMemory` interface, specially because of the `dispose()` method that is only available in the `StatefulKnowledgeSession` interface.

See Also:
  `StatefulKnowledgeSession`

Method Summary
`Agenda` | `getAgenda()` Returns a reference to this session's `Agenda`.
`QueryResults` | `getQueryResults(String query, Object... arguments)` Retrieve the QueryResults of the specified query and arguments
`WorkingMemoryEntryPoint` | `getWorkingMemoryEntryPoint(String name)` Returns the WorkingMemoryEntryPoint instance associated with the given name.
`Collection<? extends WorkingMemoryEntryPoint>` | `getWorkingMemoryEntryPoints()` Returns a collection of all available working memory entry points for this session.
`void` | `halt()` Request the engine to stop firing rules.
`LiveQuery` | `openLiveQuery(String query, Object[] arguments, ViewChangedEventListener listener)`

Methods inherited from interface org.drools.runtime.rule.WorkingMemoryEntryPoint
`getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getObject, getObjects, getObjects, insert, retract, update`

Method Detail

### halt

    void halt()

  Request the engine to stop firing rules. If the engine is currently firing a rule, it will finish executing this rule's consequence before stopping.

  This method will not remove active activations from the Agenda. In case the application later wants to continue firing rules from the point where it stopped, it should just call `org.drools.runtime.StatefulKnowledgeSession.fireAllRules()` or `org.drools.runtime.StatefulKnowledgeSession.fireUntilHalt()` again.

### getAgenda

    Agenda getAgenda()

  Returns a reference to this session's `Agenda`.

  Returns:

### getWorkingMemoryEntryPoint

    WorkingMemoryEntryPoint getWorkingMemoryEntryPoint(String name)

  Returns the WorkingMemoryEntryPoint instance associated with the given name.

  Parameters:
    `name` -
  Returns:

### getWorkingMemoryEntryPoints

    Collection<? extends WorkingMemoryEntryPoint> getWorkingMemoryEntryPoints()

  Returns a collection of all available working memory entry points for this session.

  Returns:
    the collection of all available entry points for this session

### getQueryResults

    QueryResults getQueryResults(String query,
                                 Object... arguments)

  Retrieve the QueryResults of the specified query and arguments

  Parameters:
    `query` - The name of the query.
    `arguments` - The arguments used for the query
  Returns:
    The QueryResults of the specified query. If the query does not exist or no results match the query it is empty.

### openLiveQuery

    LiveQuery openLiveQuery(String query,
                            Object[] arguments,
                            ViewChangedEventListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.